[package]
name = "node-primitives"
version = "2.0.0"
authors.workspace = true
description = "Peerplays 2.0 node low-level primitives."
edition.workspace = true
license = "Apache-2.0"
homepage = "https://peerplays.com"
repository.workspace = true
publish = false

[lints]
workspace = true

[package.metadata.docs.rs]
targets = ["x86_64-unknown-linux-gnu"]

[dependencies]
codec = { package = "parity-scale-codec", version = "3.6.1", default-features = false, features = [
    "derive",
] }
impl-serde = { version = "0.4.0", optional = true }
scale-info = { version = "2.10", default-features = false, features = ["derive"] }
serde = { version = "1.0.195", optional = true }

sp-core = { git = "https://github.com/paritytech/polkadot-sdk", branch = "release-polkadot-v1.6.0", default-features = false }
sp-runtime = { git = "https://github.com/paritytech/polkadot-sdk", branch = "release-polkadot-v1.6.0", default-features = false }

fp-account = { git = "https://github.com/paritytech/frontier", branch = "polkadot-v1.6.0", default-features = false }
frame-system = {git = "https://github.com/paritytech/polkadot-sdk", branch = "release-polkadot-v1.6.0", default-features = false }
sp-application-crypto = { git = "https://github.com/paritytech/polkadot-sdk", branch = "release-polkadot-v1.6.0", default-features = false }

[features]
default = ["std"]
std = [
	"codec/std",
	"impl-serde/std",
	"scale-info/std",
	"serde",

	"sp-core/std",
	"sp-runtime/std",

	"fp-account/std",
	"frame-system/std",
	"sp-application-crypto/std",
]
